Get list of cases

Returns a paginated list of cases for the user's account. Accepts filter and sort query parameters.

This endpoint is eventually consistent, so a recent change to a case may not be reflected immediately. If you need read-after-write consistency, use /v2/cases/{case_identifier} to fetch a single case, or /v2/customers/{customer_identifier}/cases to list a customer's cases.

You need one of the "View cases (customer onboarding)", "View cases (customer monitoring)", "View cases (payment screening)" or "View cases (transaction monitoring)" permissions to use this endpoint.

Query Params
assignee
array of strings
deprecated

User identifier, or null for unassigned cases.

Multiple values can be provided by repeating the parameter (assignee=a&assignee=b) or as a comma-separated list (assignee=a,b). A comma that is part of a value must be percent-encoded as %2C.

assignee
assignee_identifier
array of uuids

Provide an array of user identifiers or blank with which to filter the case list.

  • Includes all cases assigned to user matching user identifiers.

  • If array includes blank, also includes cases without an assignee (i.e. unassigned). A blank is an empty value: assignee_identifier= on its own, or with identifiers (assignee_identifier=<id>&assignee_identifier=).

Multiple values can be provided by repeating the parameter (assignee_identifier=a&assignee_identifier=b) or as a comma-separated list (assignee_identifier=a,b). A comma that is part of a value must be percent-encoded as %2C.

assignee_identifier
type
array of strings

Filter cases by specific case types

Multiple values can be provided by repeating the parameter (type=a&type=b) or as a comma-separated list (type=a,b). A comma that is part of a value must be percent-encoded as %2C.

type
Allowed:
date-time

Filter cases created on or after this date and time.

date-time

Filter cases created on or before this date and time.

customer.identifier
array of uuids

Filter cases by a list of customer identifiers

Multiple values can be provided by repeating the parameter (customer.identifier=a&customer.identifier=b) or as a comma-separated list (customer.identifier=a,b). A comma that is part of a value must be percent-encoded as %2C.

customer.identifier
customer.risk_level
array of strings

Filter cases by a list of customer risk levels.

Multiple values can be provided by repeating the parameter (customer.risk_level=a&customer.risk_level=b) or as a comma-separated list (customer.risk_level=a,b). A comma that is part of a value must be percent-encoded as %2C.

customer.risk_level
Allowed:
customer.label
array of uuids

Provide an array of customer label identifiers or blank with which to filter the case list.

  • Includes all cases matching at least one customer label.

  • If array includes blank, also includes cases without a customer label. A blank is an empty value: customer.label= on its own, or with identifiers (customer.label=<id>&customer.label=).

Multiple values can be provided by repeating the parameter (customer.label=a&customer.label=b) or as a comma-separated list (customer.label=a,b). A comma that is part of a value must be percent-encoded as %2C.

customer.label
customer.acquisition_source
array of strings

Provide an array of customer acquisition sources or blank with which to filter the case list.

  • Includes all cases matching at least one customer acquisition source.

  • If array includes blank, also includes cases without a customer acquisition source. A blank is an empty value: customer.acquisition_source= on its own, or with sources (customer.acquisition_source=<source>&customer.acquisition_source=).

Multiple values can be provided by repeating the parameter (customer.acquisition_source=a&customer.acquisition_source=b) or as a comma-separated list (customer.acquisition_source=a,b). A comma that is part of a value must be percent-encoded as %2C.

customer.acquisition_source

Search for cases by customer name, customer external identifier, counterparty name, counterparty external identifier, or external activity identifier (for payment screening cases only). Supports wildcard search.

state
array of strings
deprecated

The current state of the case.

For those using the deprecated case_state, if any new case stages are added the case state response for these will be returned as USER_DEFINED

Multiple values can be provided by repeating the parameter (state=a&state=b) or as a comma-separated list (state=a,b). A comma that is part of a value must be percent-encoded as %2C.

state
stage.identifier
array of uuids

Provide an array of stage identifiers with which to filter the case list.

Multiple values can be provided by repeating the parameter (stage.identifier=a&stage.identifier=b) or as a comma-separated list (stage.identifier=a,b). A comma that is part of a value must be percent-encoded as %2C.

stage.identifier
risk_type
array of strings

Filter cases by a list of risk types. You can retrieve the full list of available risk types from the /v2/risk-types endpoint.

Multiple values can be provided by repeating the parameter (risk_type=a&risk_type=b) or as a comma-separated list (risk_type=a,b). A comma that is part of a value must be percent-encoded as %2C.

risk_type
alerts.title
array of strings

Filter cases by alert title(s).

Allows filtering for cases with alerts matching any of the provided titles.

Multiple values can be provided by repeating the parameter (alerts.title=a&alerts.title=b) or as a comma-separated list (alerts.title=a,b). A comma that is part of a value must be percent-encoded as %2C.

alerts.title
alerts.highest_priority
array of int32s
1 to 9

Filter cases by the highest priority alert (1-9).

Allows filtering for cases where the highest priority alert matches the provided value.

Multiple values can be provided by repeating the parameter (alerts.highest_priority=a&alerts.highest_priority=b) or as a comma-separated list (alerts.highest_priority=a,b). A comma that is part of a value must be percent-encoded as %2C.

alerts.highest_priority
risk_catalog_risk_types.key
array of strings

Filter cases by risk catalog risk type keys.

Allows filtering for cases with risk types matching any of the provided keys.

Multiple values can be provided by repeating the parameter (risk_catalog_risk_types.key=a&risk_catalog_risk_types.key=b) or as a comma-separated list (risk_catalog_risk_types.key=a,b). A comma that is part of a value must be percent-encoded as %2C.

risk_catalog_risk_types.key
integer
≥ 1
Defaults to 1

One-based page index (1..N)

integer
≥ 1
Defaults to 25

The size of the page to be returned

sort
array of strings
Defaults to -CREATED_AT

Sorting criteria in the format of: [-]property (- descending modifier).

  • Default sort order is ascending (without -).

  • Multiple sort criteria are supported.

sort
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json